apiVersion: v1
kind: Service
metadata:
  name: {{ include "peikarband.fullname" . }}
  labels:
    {{- include "peikarband.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.backend.port }}
      targetPort: {{ .Values.service.backend.targetPort }}
      protocol: TCP
      name: backend
    - port: {{ .Values.service.frontend.port }}
      targetPort: {{ .Values.service.frontend.targetPort }}
      protocol: TCP
      name: frontend
  selector:
    {{- include "peikarband.selectorLabels" . | nindent 4 }}

